Dataset API Reference
Project, batches and annotation management service
Annotations
Annotations capture labeled data or markups on entries,
supporting both JSON:API and JSON-RPC interfaces for flexible batch operations.
post /annotations/_rpc - __jsonrpc_handler__
Description
JSON-RPC API endpoint
Request Body
{
"jsonrpc": "string",
"method": "string",
"params": {},
"id": "string"
} Response
Successful response
{
"jsonrpc": "string",
"id": "string",
"result": {},
"error": {
"code": 0,
"message": "string",
"data": {}
}
} get /annotations/{resource_id} - show
Description
Show a specific dataset:annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"dimensions": {},
"annotation": {},
"metadata": {},
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.392Z",
"updated_at": "2026-04-06T03:15:32.392Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /annotations/{resource_id} - update
Description
Update a dataset:annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"dimensions": {},
"annotation": {},
"metadata": {}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"dimensions": {},
"annotation": {},
"metadata": {},
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.393Z",
"updated_at": "2026-04-06T03:15:32.393Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /annotations/{resource_id} - delete
Description
Delete the dataset:annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /annotations - index
Description
Return a paginated list of dataset:annotations
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[dataset_id] | query | any | Optional | - |
| filter[entry_id] | query | any | Optional | - |
| filter[dimensions] | query | any | Optional | - |
| filter[annotation] | query | any | Optional | - |
| filter[metadata] | query | any | Optional | - |
| filter[created_by_email] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"dimensions": {},
"annotation": {},
"metadata": {},
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.393Z",
"updated_at": "2026-04-06T03:15:32.393Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /annotations - create
Description
Create a new dataset:annotations
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"dimensions": {},
"annotation": {},
"metadata": {},
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.393Z",
"updated_at": "2026-04-06T03:15:32.393Z"
},
"relationships": {
"entry": {
"data": {
"type": "string",
"id": "string"
}
}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"dimensions": {},
"annotation": {},
"metadata": {},
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.393Z",
"updated_at": "2026-04-06T03:15:32.393Z"
},
"relationships": {}
},
"included": [
{}
]
} Datasets
Datasets contain collections of entries (data items) for annotation within a project.
get /datasets - index
Description
Return a paginated list of dataset:datasets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[name] | query | any | Optional | - |
| filter[labels] | query | any | Optional | - |
| filter[modality] | query | any | Optional | - |
| filter[labeling_configuration] | query | any | Optional | - |
| filter[workflow_configuration] | query | any | Optional | - |
| filter[status] | query | any | Optional | - |
| filter[progress] | query | any | Optional | - |
| filter[entries_total_count] | query | any | Optional | - |
| filter[entries_completed_count] | query | any | Optional | - |
| filter[entries_in_progress_count] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[name__match] | query | any | Optional | - |
| filter[status__in] | query | any | Optional | - |
| filter[progress__gte] | query | any | Optional | - |
| filter[progress__lte] | query | any | Optional | - |
| filter[project_id__eq] | query | any | Optional | - |
| filter[modality__in] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[updated_at__gte] | query | any | Optional | - |
| filter[updated_at__lte] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"name": "string",
"labels": [],
"modality": "string",
"labeling_configuration": {},
"workflow_configuration": {},
"status": "string",
"progress": 0,
"entries_total_count": 0,
"entries_completed_count": 0,
"entries_in_progress_count": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /datasets - create
Description
Create a new dataset:datasets
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": "string",
"project_id": "string",
"name": "string",
"labels": [],
"modality": "string",
"labeling_configuration": {},
"workflow_configuration": {},
"status": "string",
"progress": 0,
"entries_total_count": 0,
"entries_completed_count": 0,
"entries_in_progress_count": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {
"project": {
"data": {
"type": "string",
"id": "string"
}
}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"name": "string",
"labels": [],
"modality": "string",
"labeling_configuration": {},
"workflow_configuration": {},
"status": "string",
"progress": 0,
"entries_total_count": 0,
"entries_completed_count": 0,
"entries_in_progress_count": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
},
"included": [
{}
]
} get /datasets/{resource_id} - show
Description
Show a specific dataset:datasets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"name": "string",
"labels": [],
"modality": "string",
"labeling_configuration": {},
"workflow_configuration": {},
"status": "string",
"progress": 0,
"entries_total_count": 0,
"entries_completed_count": 0,
"entries_in_progress_count": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /datasets/{resource_id} - update
Description
Update a dataset:datasets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"name": "string",
"labels": [],
"labeling_configuration": {},
"workflow_configuration": {}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"name": "string",
"labels": [],
"modality": "string",
"labeling_configuration": {},
"workflow_configuration": {},
"status": "string",
"progress": 0,
"entries_total_count": 0,
"entries_completed_count": 0,
"entries_in_progress_count": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /datasets/{resource_id} - delete
Description
Delete the dataset:datasets
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
Entries
Entries represent individual data items within a dataset
that can be assigned, annotated, and tracked through workflow stages.
get /entries/{resource_id} - show
Description
Show a specific dataset:entries
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /entries/{resource_id} - update
Description
Update a dataset:entries
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.395Z",
"updated_at": "2026-04-06T03:15:32.395Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /entries/{resource_id} - delete
Description
Delete the dataset:entries
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /entries - index
Description
Return a paginated list of dataset:entries
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[dataset_id] | query | any | Optional | - |
| filter[priority] | query | any | Optional | - |
| filter[wf_step] | query | any | Optional | - |
| filter[status] | query | any | Optional | - |
| filter[job_id] | query | any | Optional | - |
| filter[resource] | query | any | Optional | - |
| filter[assigned_to_id] | query | any | Optional | - |
| filter[submitted_by_id] | query | any | Optional | - |
| filter[reviewed_by_id] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[resource__match] | query | any | Optional | - |
| filter[status__in] | query | any | Optional | - |
| filter[priority__in] | query | any | Optional | - |
| filter[assigned_to_id] | query | any | Optional | - |
| filter[assigned_to_id__eq] | query | any | Optional | - |
| filter[assigned_to_id__in] | query | any | Optional | - |
| filter[wf_step__in] | query | any | Optional | - |
| filter[participated] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /entries - create
Description
Create a new dataset:entries
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {
"dataset": {
"data": {
"type": "string",
"id": "string"
}
}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /entries/{id}/assign - assign
Description
Assign a project member to an entry
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Request Body
{
"id": "string",
"data": {
"attributes": {
"assigned_to_id": 0
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} get /entries/{id}/select - select
Description
Select workflow event for an entry
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} post /entries/{id}/submit - submit
Description
Submit workflow event for an entry
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Request Body
{
"id": "string",
"data": {
"attributes": {}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} post /entries/{id}/error - error
Description
Trigger error event for an entry
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Request Body
{
"id": "string",
"data": {
"attributes": {
"message": "string"
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"priority": 0,
"wf_step": "string",
"status": "string",
"job_id": "string",
"resource": "string",
"assigned_to_id": 0,
"submitted_by_id": 0,
"reviewed_by_id": 0,
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} Note Comments
Comments provide threaded discussions within note feeds
for collaborative communication on entries and annotations.
get /note_comments/{resource_id} - show
Description
Show a specific dataset:note_comments
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z",
"edited_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /note_comments/{resource_id} - update
Description
Update a dataset:note_comments
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"edited_at": "2026-04-06T03:15:32.396Z"
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.396Z",
"updated_at": "2026-04-06T03:15:32.396Z",
"edited_at": "2026-04-06T03:15:32.396Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /note_comments/{resource_id} - delete
Description
Delete the dataset:note_comments
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /note_comments - index
Description
Return a paginated list of dataset:note_comments
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[note_feed_id] | query | any | Optional | - |
| filter[content_md] | query | any | Optional | - |
| filter[created_by_email] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[edited_at] | query | any | Optional | - |
| filter[created_by_email__match] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[updated_at__gte] | query | any | Optional | - |
| filter[updated_at__lte] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /note_comments - create
Description
Create a new dataset:note_comments
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {
"note_feed": {
"data": {
"type": "string",
"id": "string"
}
}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"note_feed_id": "string",
"content_md": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {}
},
"included": [
{}
]
} Note Feeds
Note feeds enable team discussions and issue tracking
on entries or annotations, supporting pending and resolved statuses.
get /note_feeds/{resource_id} - show
Description
Show a specific dataset:note_feeds
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"annotation_id": "string",
"created_by_email": "string",
"anchor_type": "string",
"position": {},
"status": "string",
"content_md": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /note_feeds/{resource_id} - update
Description
Update a dataset:note_feeds
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"anchor_type": "string",
"position": {},
"content_md": "string",
"edited_at": "2026-04-06T03:15:32.397Z"
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"annotation_id": "string",
"created_by_email": "string",
"anchor_type": "string",
"position": {},
"status": "string",
"content_md": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /note_feeds/{resource_id} - delete
Description
Delete the dataset:note_feeds
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /note_feeds - index
Description
Return a paginated list of dataset:note_feeds
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[dataset_id] | query | any | Optional | - |
| filter[entry_id] | query | any | Optional | - |
| filter[annotation_id] | query | any | Optional | - |
| filter[created_by_email] | query | any | Optional | - |
| filter[anchor_type] | query | any | Optional | - |
| filter[position] | query | any | Optional | - |
| filter[status] | query | any | Optional | - |
| filter[content_md] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[edited_at] | query | any | Optional | - |
| filter[status__in] | query | any | Optional | - |
| filter[created_by_email__match] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[updated_at__gte] | query | any | Optional | - |
| filter[updated_at__lte] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"annotation_id": "string",
"created_by_email": "string",
"anchor_type": "string",
"position": {},
"status": "string",
"content_md": "string",
"created_at": "2026-04-06T03:15:32.397Z",
"updated_at": "2026-04-06T03:15:32.397Z",
"edited_at": "2026-04-06T03:15:32.397Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /note_feeds - create
Description
Create a new note feed
This endpoint creates a new note feed for an entry.
When anchor_type is "annotation", annotation_id is required.
Request Body
{
"data": {
"type": "string",
"attributes": {
"entry_id": "string",
"annotation_id": "string",
"anchor_type": "string",
"position": {},
"content_md": "string"
}
}
} Response
No content
post /note_feeds/{id}/resolve - resolve
Description
Resolve a note feed by updating status from pending to resolved
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | string | Required | - |
Request Body
{
"id": "string"
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"project_id": "string",
"dataset_id": "string",
"entry_id": "string",
"annotation_id": "string",
"created_by_email": "string",
"anchor_type": "string",
"position": {},
"status": "string",
"content_md": "string",
"created_at": "2026-04-06T03:15:32.398Z",
"updated_at": "2026-04-06T03:15:32.398Z",
"edited_at": "2026-04-06T03:15:32.398Z"
},
"relationships": {}
},
"included": [
{}
]
} Project Members
Members are user accounts assigned to projects
with specific roles for annotation and review work.
get /project_members - index
Description
Return a paginated list of dataset:project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| filter[name] | query | any | Optional | - |
| filter[email] | query | any | Optional | - |
| filter[role] | query | any | Optional | - |
| filter[invited_by_id] | query | any | Optional | - |
| filter[disabled_at] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[email__match] | query | any | Optional | - |
| filter[project_id] | query | any | Optional | - |
| filter[account_id] | query | any | Optional | - |
| filter[role__in] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[organization_id__in] | query | any | Optional | - |
| filter[enabled] | query | any | Optional | - |
| included | query | array | Optional | The related resources to include in the response. Allowed resources are:
|
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": 0,
"project_id": "string",
"account_id": 0,
"name": "string",
"email": "string",
"role": "string",
"invited_by_id": 0,
"disabled_at": "2026-04-06T03:15:32.398Z",
"created_at": "2026-04-06T03:15:32.398Z",
"updated_at": "2026-04-06T03:15:32.398Z"
},
"relationships": {}
}
],
"included": [
{}
]
} post /project_members - create
Description
Create a new dataset:project_members
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": 0,
"project_id": "string",
"account_id": 0,
"name": "string",
"email": "string",
"role": "string",
"invited_by_id": 0,
"disabled_at": "2026-04-06T03:15:32.398Z",
"created_at": "2026-04-06T03:15:32.398Z",
"updated_at": "2026-04-06T03:15:32.398Z"
},
"relationships": {
"project": {
"data": {
"type": "string",
"id": "string"
}
}
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": 0,
"project_id": "string",
"account_id": 0,
"name": "string",
"email": "string",
"role": "string",
"invited_by_id": 0,
"disabled_at": "2026-04-06T03:15:32.398Z",
"created_at": "2026-04-06T03:15:32.398Z",
"updated_at": "2026-04-06T03:15:32.398Z"
},
"relationships": {}
},
"included": [
{}
]
} get /project_members/{resource_id} - show
Description
Show a specific dataset:project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": 0,
"project_id": "string",
"account_id": 0,
"name": "string",
"email": "string",
"role": "string",
"invited_by_id": 0,
"disabled_at": "2026-04-06T03:15:32.398Z",
"created_at": "2026-04-06T03:15:32.398Z",
"updated_at": "2026-04-06T03:15:32.398Z"
},
"relationships": {}
},
"included": [
{}
]
} patch /project_members/{resource_id} - update
Description
Update a dataset:project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": 0,
"data": {
"type": "string",
"attributes": {
"id": 0,
"name": "string",
"email": "string",
"role": "string",
"disabled_at": "2026-04-06T03:15:32.399Z"
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": 0,
"project_id": "string",
"account_id": 0,
"name": "string",
"email": "string",
"role": "string",
"invited_by_id": 0,
"disabled_at": "2026-04-06T03:15:32.399Z",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z"
},
"relationships": {}
},
"included": [
{}
]
} delete /project_members/{resource_id} - delete
Description
Delete the dataset:project_members
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
Projects
Projects organize datasets and team members
for collaborative data annotation work.
get /projects/{resource_id} - show
Description
Show a specific dataset:projects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
| included | query | array | Optional | - |
| fields | query | string | Optional | - |
Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z",
"organization_id": 0
},
"relationships": {}
},
"included": [
{}
]
} patch /projects/{resource_id} - update
Description
Update a dataset:projects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Request Body
{
"resource_id": "string",
"data": {
"type": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string"
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z",
"organization_id": 0
},
"relationships": {}
},
"included": [
{}
]
} delete /projects/{resource_id} - delete
Description
Delete the dataset:projects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| resource_id | path | string | Required | - |
Response
No content
get /projects - index
Description
Return a paginated list of dataset:projects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| page[number] | query | integer | Optional | The page number, default to 1 |
| page[size] | query | integer | Optional | The number of items per page, default to 1000 |
| sort | query | string | Optional | The sort order, comma separated list of fields. See sorting section for more details |
| count | query | boolean | Optional | Set to true to return the total number of items in the collection |
| filter[id] | query | any | Optional | - |
| filter[name] | query | any | Optional | - |
| filter[description] | query | any | Optional | - |
| filter[created_by_email] | query | any | Optional | - |
| filter[created_at] | query | any | Optional | - |
| filter[updated_at] | query | any | Optional | - |
| filter[organization_id] | query | any | Optional | - |
| filter[created_by_email__match] | query | any | Optional | - |
| filter[created_at__gte] | query | any | Optional | - |
| filter[created_at__lte] | query | any | Optional | - |
| filter[organization_id] | query | any | Optional | - |
| filter[organization_id__in] | query | any | Optional | - |
| filter[updated_at__gte] | query | any | Optional | - |
| filter[updated_at__lte] | query | any | Optional | - |
| fields | query | string | Optional | The fields to include in the response. |
Response
Successful response
{
"data": [
{
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z",
"organization_id": 0
},
"relationships": {}
}
],
"included": [
{}
]
} post /projects - create
Description
Create a new dataset:projects
Request Body
{
"data": {
"type": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z",
"organization_id": 0
}
}
} Response
Successful response
{
"data": {
"type": "string",
"id": "string",
"attributes": {
"id": "string",
"name": "string",
"description": "string",
"created_by_email": "string",
"created_at": "2026-04-06T03:15:32.399Z",
"updated_at": "2026-04-06T03:15:32.399Z",
"organization_id": 0
},
"relationships": {}
},
"included": [
{}
]
}